### Virtual Method

# EDataCal CalMetaBackend get_ssl_error_details

since: 3.28

#### Declaration [src]

    gboolean
    get_ssl_error_details (
      ECalMetaBackend* meta_backend,
      gchar** out_certificate_pem,
      GTlsCertificateFlags* out_certificate_errors
    )

#### Description [src]

It is optional to implement this virtual method by the descendants. It is used to receive SSL error details when any online operation returns E_CLIENT_ERROR, E_CLIENT_ERROR_TLS_NOT_AVAILABLE error.

Available since: 3.28

#### Parameters

`out_certificate_pem`

  Type: `gchar**`

  SSL certificate encoded in PEM format.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out_certificate_errors`

  Type: `GTlsCertificateFlags`

  Bit-or of `GTlsCertificateFlags` claiming the certificate errors.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE`, when the SSL error details had been available and the out parameters populated, `FALSE` otherwise.